| HaXml | Parent | Contents | Index

Text.XML.HaXml.Xtract.Parse

Description
A parser for the Xtract command-language. (The string input is tokenised internally by the lexer `lexXtract`.) See http://www.haskell.org/HaXml/Xtract.html for the grammar that is accepted.
Synopsis

parseXtract :: String -> DFilter
xtract :: String -> CFilter

Documentation
parseXtract :: String -> DFilter
The cool thing is that the Xtract command parser directly builds a higher-order `DFilter` (see Text.Xml.HaXml.Xtract.Combinators) which can be applied to an XML document without further ado.
xtract :: String -> CFilter
To mix an Xtract query into an ordinary HaXml combinator expression.
Produced by Haddock version 0.4